#
# spec file for package python-gpgme (Version 0.1)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

Name:           python-gpgme
Version:        0.1
Release:        3.1
Summary:        A Python module for working with OpenPGP messages
Group:          Development/Libraries/Python
License:        LGPL v2.1 or later
Url:            http://pypi.python.org/pypi/pygpgme
Source:         pygpgme-%{version}.tar.bz2
Patch:          pygpgme-0.1-py23.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-devel
%if 0%{?suse_version}
BuildRequires:  gpgme-devel
%endif

%{!?python_sitelib: %define python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?py_sitedir: %define py_sitedir %{python_sitelib}}

%description
PyGPGME is a Python module that lets you sign, verify, encrypt and
decrypt messages using the OpenPGP format.

It is built on top of the GNU Privacy Guard and the GPGME library.



Authors:
--------
    James Henstridge <james@jamesh.id.au>

%prep
%setup -q -n pygpgme-%{version}
%patch -p1

%build
#CFLAGS="$RPM_OPT_FLAGS" python setup.py build

%install
python setup.py install --root $RPM_BUILD_ROOT --prefix=%{_prefix}
# No need to ship the tests
rm -rf $RPM_BUILD_ROOT%{py_sitedir}/gpgme/tests/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README PKG-INFO
%{py_sitedir}/*

%changelog
* Fri Feb  1 2008 cthiel@suse.de
- initial package (version 0.1)
